## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iPcLight Struct Reference

This is a property class holding the representation of a light. More...

`#include <propclass/light.h>`

List of all members.

## Public Member Functions

virtual iLight * | GetLight () const =0
| Get the light.
virtual void | SetLight (iLight *light)=0
| Set the light directly.
virtual bool | SetLight (const char *lightname)=0
| Set the light by name.

## Detailed Description

This is a property class holding the representation of a light.

This property class supports the following actions (add prefix 'cel.action.' to get the ID of the action and add prefix 'cel.parameter.' to get the ID of the parameter):

- SetLight: parameters 'name' (string). This sets an already existing light for this pclight.
- MoveLight: parameters 'pos' (vector3). Move a light.

Definition at line 42 of file light.h.

## Member Function Documentation

virtual iLight* iPcLight::GetLight | ( |  | ) | const`[pure virtual]`

Get the light.

virtual void iPcLight::SetLight | ( | iLight * | light | ) | `[pure virtual]`

Set the light directly.

virtual bool iPcLight::SetLight | ( | const char * | lightname | ) | `[pure virtual]`

Set the light by name.

Returns false if the light cannot be found.

The documentation for this struct was generated from the following file:

- propclass/light.h